Bug 539354 - Localized links don't works in cups web interface
Summary: Localized links don't works in cups web interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 22:50 UTC by nucleo
Modified: 2010-01-04 21:18 UTC (History)
2 users (show)

Fixed In Version: 1.4.2-20.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-27 20:32:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 3422 None None None Never

Description nucleo 2009-11-19 22:50:18 UTC
Description of problem:
Localized links of "show all jobs", "show finished" don't works in cups web interface.

Version-Release number of selected component (if applicable):
cups-1.4.1-13.fc12

How reproducible:
Every time.

Steps to Reproduce:
1. Print some jobs
2. Open in browser http://localhost:631/jobs/ with russian translation
3. Open link "Показать все задания" (show all jobs)
  
Actual results:
"Нет заданий" (no jobs)

Expected results:
All jobs should be shown.

Additional info:
This translated link don't works http://localhost:631/jobs?which_jobs=все
but this works http://localhost:631/jobs?which_jobs=all
also don't works finished jobs link http://localhost:631/jobs?which_jobs=Завершено

Comment 1 Jiri Popelka 2009-11-20 10:25:33 UTC
Changing version to F-11, because I can reproduce it also on cups-1.4.2-5.fc11

Comment 2 Fedora Update System 2009-12-08 14:36:49 UTC
cups-1.4.2-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cups-1.4.2-14.fc11

Comment 3 Fedora Update System 2009-12-08 14:39:06 UTC
cups-1.4.2-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cups-1.4.2-14.fc12

Comment 4 Fedora Update System 2009-12-10 04:06:02 UTC
cups-1.4.2-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12942

Comment 5 Fedora Update System 2009-12-10 04:15:26 UTC
cups-1.4.2-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12971

Comment 6 Fedora Update System 2009-12-11 18:35:17 UTC
cups-1.4.2-16.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12942

Comment 7 Fedora Update System 2009-12-11 18:37:42 UTC
cups-1.4.2-16.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12971

Comment 8 Fedora Update System 2009-12-23 21:31:20 UTC
cups-1.4.2-20.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12942

Comment 9 Fedora Update System 2009-12-23 21:32:34 UTC
cups-1.4.2-20.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12971

Comment 10 Fedora Update System 2009-12-27 20:31:26 UTC
cups-1.4.2-20.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-01-04 21:17:34 UTC
cups-1.4.2-20.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.